HiddenLine Set Viewport Compute error

Hello,

I am trying to use the HiddenLine features in Rhino.Compute (paired with Rhino3dm library) but am encountering an error. When I use the set viewport command on my hidden line parameters, the only item it will accept is of ViewInfo type (passing ViewportInfo will result in a 500 error saying ‘Unknown Geometry cannot be converted to type Viewport Info’). When I then pass the ViewInfo type, the compute command will throw up a 500 error saying ‘No Viewport defined in parameters’. So I need to know how to successfully set a viewport using Compute to then get the hidden line compute command to work

I do not have this issue on RhinoCommon, but for the application I am developing I cannot use Common, so I am hoping to get it working with just Compute and the Rhino3dm library.

I will post my code below, appreciate any help on solving this so we may use the functionality.

 //Creating hidden line drawing parameters
            var hld_params = ComputeServer.Post<dynamic>("rhino/geometry/hiddenlinedrawingparameters/new");
            
            //Tried to create a new viewport info in Rhino3dm
            
            var viewport_info = new Rhino.DocObjects.ViewportInfo();
            viewport_info.IsParallelProjection = true;
            viewport_info.SetCameraDirection(Rhino.Geometry.Plane.WorldXY.XAxis);
            viewport_info.SetCameraLocation(new Rhino.Geometry.Point3d(100, 0, 0));
            viewport_info.SetCameraUp(Rhino.Geometry.Plane.WorldXY.ZAxis);

            //Passing this to setviewport results in error, so instead am passing 'view', which is ViewInfo type
                        
            Rhino.DocObjects.ViewInfo view = obj3dmObject.AllViews.FindName("Top");
            object[] parms2 = new object[2]; parms2[0] = hld_params; parms2[1] = view;
            hld_params = ComputeServer.Post<dynamic>("rhino/geometry/hiddenlinedrawingparameters/setviewport", parms2);
            
            //No error, but also it's not clear if the viewport has actually been set successfully
            
            //When compute is run, results in 500 internal error, saying no viewport was found for parameters
            object[] parms4 = new object[2]; parms4[0] = hld_params; parms4[1] = false;
            var hld = ComputeServer.Post<dynamic>("rhino/geometry/hiddenlinedrawing/compute", parms4);